List reviews for an Account
curl --request GET \
--url https://api.social-api.ai/v1/inbox/reviews/{account_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.social-api.ai/v1/inbox/reviews/{account_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/reviews/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"author": {
"avatar_url": "https://example.com/avatar.jpg",
"id": "17841405793187218",
"name": "Jane Smith",
"username": "janesmith"
},
"created_at": "2026-06-20T18:24:31Z",
"id": "sapi_rev_TXY...",
"rating": 3,
"reply": {
"text": "Thanks for the feedback!",
"updated_at": "2026-06-21T10:00:00Z"
},
"text": "Great school",
"updated_at": "2026-06-20T18:24:31Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"summary": {
"average_rating": 4.2,
"total_count": 87
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Inbox Reviews
List reviews for an Account
Returns one page of reviews for a single connected Account, newest first by default. Reviews are proxied live from the platform and not stored. Currently only Google Business Profile returns reviews.
GET
/
inbox
/
reviews
/
{account_id}
List reviews for an Account
Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Connected account ID
Query Parameters
Max results (1-50, default 20)
Pagination cursor from previous response
Sort order
Available options:
newest, rating_asc, rating_desc ⌘I